zenilib: zenilib/jni/external/freetype2/src/pfr/pfrdrivr.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
pfrdrivr.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_SERVICE_PFR_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include "pfrdrivr.h"`
`#include "pfrobjs.h"`
`#include "pfrerror.h"`

Go to the source code of this file.

## Functions

| pfr_get_advance (FT_Face pfrface, FT_UInt gindex, FT_Pos *anadvance)
| pfr_get_kerning (FT_Face pfrface, FT_UInt left, FT_UInt right, FT_Vector *avector)
| pfr_get_metrics (FT_Face pfrface, FT_UInt *anoutline_resolution, FT_UInt *ametrics_resolution, FT_Fixed *ametrics_x_scale, FT_Fixed *ametrics_y_scale)
| pfr_get_service (FT_Module module, const FT_String *service_id)

## Variables

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec | pfr_driver_class
FT_CALLBACK_TABLE_DEF const FT_Service_PfrMetricsRec | pfr_metrics_service_rec
static const FT_ServiceDescRec | pfr_services []

## Function Documentation

pfr_get_advance | ( | FT_Face | pfrface,
|  | FT_UInt | gindex,
|  | FT_Pos * | anadvance
| ) |  |

Definition at line 64 of file pfrdrivr.c.

References PFR_CharRec_::advance, PFR_PhyFontRec_::chars, and error.

pfr_get_kerning | ( | FT_Face | pfrface,
|  | FT_UInt | left,
|  | FT_UInt | right,
|  | FT_Vector * | avector
| ) |  |

Definition at line 31 of file pfrdrivr.c.

References FT_MulDiv(), PFR_PhyFontRec_::metrics_resolution, PFR_PhyFontRec_::outline_resolution, and pfr_face_get_kerning().

pfr_get_metrics | ( | FT_Face | pfrface,
|  | FT_UInt * | anoutline_resolution,
|  | FT_UInt * | ametrics_resolution,
|  | FT_Fixed * | ametrics_x_scale,
|  | FT_Fixed * | ametrics_y_scale
| ) |  |

Definition at line 97 of file pfrdrivr.c.

References FT_DivFix(), FT_SizeRec_::metrics, PFR_PhyFontRec_::metrics_resolution, PFR_PhyFontRec_::outline_resolution, FT_Size_Metrics_::x_ppem, and FT_Size_Metrics_::y_ppem.

pfr_get_service | ( | FT_Module | module,
|  | const FT_String * | service_id
| ) |  |

Definition at line 160 of file pfrdrivr.c.

References ft_service_list_lookup(), and FT_UNUSED.

## Variable Documentation

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec pfr_driver_class

Definition at line 170 of file pfrdrivr.c.

FT_CALLBACK_TABLE_DEF const FT_Service_PfrMetricsRec pfr_metrics_service_rec

Initial value:
=
{
pfr_get_metrics,
pfr_face_get_kerning,
pfr_get_advance
}
pfr_get_advance
pfr_get_advance(FT_Face pfrface, FT_UInt gindex, FT_Pos *anadvance)
Definition: pfrdrivr.c:64
pfr_face_get_kerning
pfr_face_get_kerning(FT_Face pfrface, FT_UInt glyph1, FT_UInt glyph2, FT_Vector *kerning)
Definition: pfrobjs.c:465
pfr_get_metrics
pfr_get_metrics(FT_Face pfrface, FT_UInt *anoutline_resolution, FT_UInt *ametrics_resolution, FT_Fixed *ametrics_x_scale, FT_Fixed *ametrics_y_scale)
Definition: pfrdrivr.c:97

Definition at line 138 of file pfrdrivr.c.

const FT_ServiceDescRec pfr_services[]

static

Initial value:
=
{
{ FT_SERVICE_ID_PFR_METRICS, &pfr_metrics_service_rec },
{ FT_SERVICE_ID_XF86_NAME, FT_XF86_FORMAT_PFR },
{ NULL, NULL }
}
FT_XF86_FORMAT_PFR
#define FT_XF86_FORMAT_PFR
Definition: svxf86nm.h:43
NULL
#define NULL
Definition: ftobjs.h:61
FT_SERVICE_ID_PFR_METRICS
#define FT_SERVICE_ID_PFR_METRICS
Definition: svpfr.h:29
FT_SERVICE_ID_XF86_NAME
#define FT_SERVICE_ID_XF86_NAME
Definition: svxf86nm.h:34
pfr_metrics_service_rec
FT_CALLBACK_TABLE_DEF const FT_Service_PfrMetricsRec pfr_metrics_service_rec
Definition: pfrdrivr.c:138

Definition at line 151 of file pfrdrivr.c.